// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_katooine3/kat3_katsky1
{
	qer_editorimage env/ut4_katooine3/box374_ft.tga
	
	skyparms env/ut4_katooine3/box374 128 -
	
	q3map_sunEXT 1 1 1 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 310 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
	
}

// ---=== Ladderclip ===---

textures/ut4_katooine3/kat3_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Glass ===---

textures/ut4_katooine3/kat3_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_katooine3/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_katooine3/kat3_glass_snd
{
	qer_editorimage textures/kittywumpus/kw_glass_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm slick
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_katooine3/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== My Logo ===---

textures/ut4_katooine3/kat3_qbllogo
{
	qer_editorimage textures/ut4_katooine3/qbl_logo1.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
//	q3map_surfacelight 100

	{
		map textures/ut4_katooine3/qbl_logo1.tga
		blendFunc blend
	}
}

// ---=== Holopanels ===---

textures/ut4_katooine3/kat3_hologo_b
{
	qer_editorimage textures/ut4_katooine3/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_katooine3/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_katooine3/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_katooine3/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_katooine3/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_katooine3/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_katooine3/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_katooine3/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine3/kat3_hologo_r
{
	qer_editorimage textures/ut4_katooine3/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_katooine3/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_katooine3/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_katooine3/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_katooine3/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_katooine3/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_katooine3/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_katooine3/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine3/kat3_holop1_b
{
	qer_editorimage textures/ut4_katooine3/holopanel1/holopanel_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katooine3/holopanel1/holopanel_b1.jpg textures/ut4_katooine3/holopanel1/holopanel_b1.jpg textures/ut4_katooine3/holopanel1/holopanel_b1.jpg textures/ut4_katooine3/holopanel1/holopanel_b2.jpg textures/ut4_katooine3/holopanel1/holopanel_b1.jpg textures/ut4_katooine3/holopanel1/holopanel_b3.jpg textures/ut4_katooine3/holopanel1/holopanel_b1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine3/kat3_holop1_r
{
	qer_editorimage textures/ut4_katooine3/holopanel1/holopanel_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katooine3/holopanel1/holopanel_r1.jpg textures/ut4_katooine3/holopanel1/holopanel_r1.jpg textures/ut4_katooine3/holopanel1/holopanel_r1.jpg textures/ut4_katooine3/holopanel1/holopanel_r2.jpg textures/ut4_katooine3/holopanel1/holopanel_r1.jpg textures/ut4_katooine3/holopanel1/holopanel_r3.jpg textures/ut4_katooine3/holopanel1/holopanel_r1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine3/kat3_paw_b
{
	qer_editorimage textures/ut4_katooine3/katprint_b
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_katooine3/katprint_b.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine3/kat3_paw_r
{
	qer_editorimage textures/ut4_katooine3/katprint_r
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_katooine3/katprint_r.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Teleorbs ===---

textures/ut4_katooine3/kat3_teleborb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_katooine3/soc_blue_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_katooine3/soc_blue_telep.jpg
		tcmod rotate 360
		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine3/kat3_telerorb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_katooine3/soc_red_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_katooine3/soc_red_telep.jpg
		tcmod rotate 360
		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_katooine3/e6basicstrip_blue
{
	qer_editorimage textures/ut4_katooine3/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6basicstrip_blue.tga
	}
}

textures/ut4_katooine3/e6basicstrip_green
{
	qer_editorimage textures/ut4_katooine3/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6basicstrip_green.tga
	}
}

textures/ut4_katooine3/e6basicstrip_orange
{
	qer_editorimage textures/ut4_katooine3/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6basicstrip_orange.tga
	}
}

textures/ut4_katooine3/e6basicstrip_purple
{
	qer_editorimage textures/ut4_katooine3/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6basicstrip_purple.tga
	}
}

textures/ut4_katooine3/e6basicstrip_red
{
	qer_editorimage textures/ut4_katooine3/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6basicstrip_red.tga
	}
}

textures/ut4_katooine3/e6basicstrip_white
{
	qer_editorimage textures/ut4_katooine3/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6basicstrip_white.tga
	}
}

textures/ut4_katooine3/e6tinylight
{
	qer_editorimage textures/ut4_katooine3/e6tinylight.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6tinylight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_katooine3/e6tinylight_blend.tga
		blendfunc add
	}
}

textures/ut4_katooine3/e8minitrimlight
{
	qer_editorimage textures/ut4_katooine3/e8minitrimlight.tga
	q3map_lightimage textures/ut4_katooine3/e8minitrimlight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 250
	{
		map textures/ut4_katooine3/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_katooine3/e8minitrimlight.blend.tga
		blendfunc add
	}
}

// ---=== No Damage ===---

textures/ut4_katooine3/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_katooine3/kilt_ground03:q3map
{
	surfaceparm nodamage
}

textures/ut4_katooine3/kw_sand1:q3map
{
	surfaceparm nodamage
}

// ---=== Liquids ===---
// ---=== SLIME!!! ===---

textures/ut4_katooine3/kat3_slime
{
	qer_editorimage textures/ut4_katooine3/slime_grn.tga
	q3map_lightimage textures/ut4_katooine3/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 300
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/ut4_katooine3/slime_grn.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll -0.1 0.01
	}
	{
		map textures/ut4_katooine3/slime_grnc.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.1 0.01
	}
	{
		map textures/ut4_katooine3/liquids/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.08 0.01
	}	
}

// ---=== Evil shaders ===---

textures/ut4_katooine3/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_katooine3/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

// ---=== Clouds/Fog ===---


// ---=== non-solids ===---


//soc textures

textures/ut4_katooine3/kat3_lig_ropB2k
{
	qer_editorimage textures/ut4_katooine3/soc_064lig30ba.tga
	q3map_lightimage textures/ut4_katooine3/soc_064lig30b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine3/soc_064lig30ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/soc_064lig30b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine3/kat3_lig_ropR2k
{
	qer_editorimage textures/ut4_katooine3/soc_064lig30ra.tga
	q3map_lightimage textures/ut4_katooine3/soc_064lig30r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine3/soc_064lig30ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/soc_064lig30r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine3/kat3_lig_ropY2k
{
	qer_editorimage textures/ut4_katooine3/soc_064lig30ya.tga
	q3map_lightimage textures/ut4_katooine3/soc_064lig30y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine3/soc_064lig30ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/soc_064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

// ---=== Kilt Textures ===---

textures/ut4_katooine3/kilt_alien_light1_2k
{
	qer_editorimage textures/ut4_katooine3/kilt_alien_light1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/kilt_alien_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/kilt_alien_light1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine3/kilt_alien_scratch3a_blue
{
	q3map_lightimage textures/ut4_katooine3/kilt_alien_scratch3a_bluefx.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/kilt_alien_scratch3a_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/kilt_alien_scratch3a_bluefx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

textures/ut4_katooine3/kilt_alien_scratch3a_red
{
	q3map_lightimage textures/ut4_katooine3/kilt_alien_scratch3a_redfx.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/kilt_alien_scratch3a_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/kilt_alien_scratch3a_redfx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}
